cache:
  paths:
    - .m2/repository/
    - target/


stages:
  - Build

Build:
    stage: Build
    image: maven:latest
    variables:
      MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"
    script: 
      - mvn dependency:tree >target/dependency.txt
      - ls
    artifacts:
        paths:
          - target/*.txt
       
   

